org.keycloak.broker.saml

## Class SAMLIdentityProviderConfig

- java.lang.Object
- - org.keycloak.models.IdentityProviderModel
  - - org.keycloak.broker.saml.SAMLIdentityProviderConfig

- All Implemented Interfaces:
    Serializable

      public class SAMLIdentityProviderConfig
      extends IdentityProviderModel

  Author:
    Pedro Igor
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.models.IdentityProviderModel

      `addReadTokenRoleOnCreate`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAMLIdentityProviderConfig()`
    `SAMLIdentityProviderConfig(IdentityProviderModel identityProviderModel)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEncryptionPublicKey()`
    `String` | `getNameIDPolicyFormat()`
    `String` | `getSignatureAlgorithm()`
    `String` | `getSigningCertificate()`
    `String` | `getSingleLogoutServiceUrl()`
    `String` | `getSingleSignOnServiceUrl()`
    `boolean` | `isBackchannelSupported()`
    `boolean` | `isForceAuthn()`
    `boolean` | `isPostBindingAuthnRequest()`
    `boolean` | `isPostBindingResponse()`
    `boolean` | `isValidateSignature()`
    `boolean` | `isWantAuthnRequestsSigned()`
    `void` | `setBackchannelSupported(boolean backchannel)`
    `void` | `setEncryptionPublicKey(String encryptionPublicKey)`
    `void` | `setForceAuthn(boolean forceAuthn)`
    `void` | `setNameIDPolicyFormat(String nameIDPolicyFormat)`
    `void` | `setPostBindingAuthnRequest(boolean postBindingAuthnRequest)`
    `void` | `setPostBindingResponse(boolean postBindingResponse)`
    `void` | `setSignatureAlgorithm(String signatureAlgorithm)`
    `void` | `setSigningCertificate(String signingCertificate)`
    `void` | `setSingleLogoutServiceUrl(String singleLogoutServiceUrl)`
    `void` | `setSingleSignOnServiceUrl(String singleSignOnServiceUrl)`
    `void` | `setValidateSignature(boolean validateSignature)`
    `void` | `setWantAuthnRequestsSigned(boolean wantAuthnRequestsSigned)`

    - ### Methods inherited from class org.keycloak.models.IdentityProviderModel

      `getAlias, getConfig, getFirstBrokerLoginFlowId, getInternalId, getPostBrokerLoginFlowId, getProviderId, isAddReadTokenRoleOnCreate, isAuthenticateByDefault, isEnabled, isStoreToken, isTrustEmail, setAddReadTokenRoleOnCreate, setAlias, setAuthenticateByDefault, setConfig, setEnabled, setFirstBrokerLoginFlowId, setInternalId, setPostBrokerLoginFlowId, setProviderId, setStoreToken, setTrustEmail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAMLIdentityProviderConfig

          public SAMLIdentityProviderConfig()

    - #### SAMLIdentityProviderConfig

          public SAMLIdentityProviderConfig(IdentityProviderModel identityProviderModel)

  - ### Method Detail

    - #### getSingleSignOnServiceUrl

          public String getSingleSignOnServiceUrl()

    - #### setSingleSignOnServiceUrl

          public void setSingleSignOnServiceUrl(String singleSignOnServiceUrl)

    - #### getSingleLogoutServiceUrl

          public String getSingleLogoutServiceUrl()

    - #### setSingleLogoutServiceUrl

          public void setSingleLogoutServiceUrl(String singleLogoutServiceUrl)

    - #### isValidateSignature

          public boolean isValidateSignature()

    - #### setValidateSignature

          public void setValidateSignature(boolean validateSignature)

    - #### isForceAuthn

          public boolean isForceAuthn()

    - #### setForceAuthn

          public void setForceAuthn(boolean forceAuthn)

    - #### getSigningCertificate

          public String getSigningCertificate()

    - #### setSigningCertificate

          public void setSigningCertificate(String signingCertificate)

    - #### getNameIDPolicyFormat

          public String getNameIDPolicyFormat()

    - #### setNameIDPolicyFormat

          public void setNameIDPolicyFormat(String nameIDPolicyFormat)

    - #### isWantAuthnRequestsSigned

          public boolean isWantAuthnRequestsSigned()

    - #### setWantAuthnRequestsSigned

          public void setWantAuthnRequestsSigned(boolean wantAuthnRequestsSigned)

    - #### getSignatureAlgorithm

          public String getSignatureAlgorithm()

    - #### setSignatureAlgorithm

          public void setSignatureAlgorithm(String signatureAlgorithm)

    - #### getEncryptionPublicKey

          public String getEncryptionPublicKey()

    - #### setEncryptionPublicKey

          public void setEncryptionPublicKey(String encryptionPublicKey)

    - #### isPostBindingAuthnRequest

          public boolean isPostBindingAuthnRequest()

    - #### setPostBindingAuthnRequest

          public void setPostBindingAuthnRequest(boolean postBindingAuthnRequest)

    - #### isPostBindingResponse

          public boolean isPostBindingResponse()

    - #### setPostBindingResponse

          public void setPostBindingResponse(boolean postBindingResponse)

    - #### isBackchannelSupported

          public boolean isBackchannelSupported()

    - #### setBackchannelSupported

          public void setBackchannelSupported(boolean backchannel)

Copyright © 2016 JBoss by Red Hat. All rights reserved.